{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE QuasiQuotes #-}
{-# LANGUAGE TemplateHaskell #-}
{-# LANGUAGE TypeFamilies #-}
module Handler.Home where

import Import
import Widget.Card ( hCard )
import Widget.Feed ( hFeed )

getHomeR :: Handler Html
getHomeR = do
    userE@(Entity userId user) <- runDB . getBy404 $ UniqueUser "dani"
    maybeTitle <- asks $ appTitle . appSettings
    entries <- runDB $ selectList [EntryAuthorId ==. userId] [Desc EntryPublished]
    defaultLayout $ do
        case maybeTitle of
          Just title -> setTitle $ toHtml title
          Nothing -> return ()
        toWidgetHead
            [hamlet|
                <meta name="author" content=#{userFullName user}>
                <link rel="author" href=@{HomeR}>
            |]
        $(widgetFile "home")
